--- title: Use the data property slug: '31' canonical_url: https://docs.coveo.com/en/31/ collection: index-content source_format: adoc --- # Use the data property You should only use the `data` property when you want to push 5 MB or less of raw textual [item](https://docs.coveo.com/en/210/) data. In spite of its limited flexibility, this property is very convenient when performing simple Push API tests, due to its inherent simplicity. > **Important** > > Ensure that you properly escape reserved JSON characters (newline, tab, double quote, backslash, etc.) in your `data` string. ## Use the data property when pushing a single item The following example shows how you can use the `data` property to specify item data when performing an [`Add or update an item`](https://docs.coveo.com/en/133/) HTTP request. ### Sample request ```http PUT https://api.cloud.coveo.com/push/v1/organizations/mycoveocloudv2organizationg8tp8wu3/sources/mycoveocloudv2organization-rp5rxzbdz753uhndklv2ztkfgy/documents?documentId=file://example.html HTTP/1.1 ​ Content-Type: application/json Accept: application/json Authorization: Bearer **********-****-****-****-************ ``` Request body: ```json { // ...Item metadata... "data": "

Example

This is an \"example\".

", "fileExtension": ".html", // ...Item permission model (if applicable)... } ``` ## Use the data property when uploading a batch of items The following example shows how you can use the `data` property to specify item data when uploading content into a file container with a [`PUT uploadUri`](https://docs.coveo.com/en/90#step-2-upload-the-content-update-into-the-file-container) HTTP request. ### Sample request ```http PUT link:https://coveo-nprod-customerdata.s3.amazonaws.com/proda/blobstore/mycoveocloudv2organizationg8tp8wu3/b5e8767e-8f0d-4a89-9095-1127915c89c7[...] HTTP/1.1 ​ x-amz-server-side-encryption: AES256 Content-Type: application/octet-stream ``` Request body: ```json { "addOrUpdate": [ { // ...Item metadata... "documentId": "file://example.html", "data": "

Example

This is an \"example\".

", "fileExtension": ".html", // ...Item permission model (if applicable)... }, // ...More items to add or update... ], "delete": [ // ...Items to delete... ] } ```